﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TechNote76_ImageChange_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // 이미지 변경을 체크할 플래그
        private bool m_bSetImg;
        // 이미지를 저장할 변수
        private Image img1;
        private Image img2;

        private void Form1_Load(object sender, EventArgs e)
        {
            Form2 frm2 = new Form2();
            smartForm1.MainForm = this;
            smartForm1.AddChildForm(frm2);
            smartForm1.Show(0);

            for (int i = 0; i < 20; i++)
            {
                smartListBox1.AddItem("잔상테스트");
                smartComboBox1.ItemList.AddItem("잔상테스트");
            }
            smartComboBox1.SelectItemIndex = 0;

            // 멤버 변수 초기화
            m_bSetImg = true;
            img1 = Properties.Resources.bg1;
            img2 = Properties.Resources.bg2;
        }

        private void btnChangeBackimg_Click(object sender, EventArgs e)
        {
            // Step-1
            // 개선전 방법 SmartForm의 이미지를 변경합니다.
            smartForm1.BackImage = (m_bSetImg == true) ? img2 : img1;

            // Step-2
            // 따로 Control들의 BackGround 속성값을 변경할 필요가 없습니다.
            smartLabel1.ReDraw();
            smartTrackBar1.ReDraw();
            smartUpDown1.ReDraw();
            smartRadioButton1.ReDraw();
            smartListBox1.ReDraw();
            smartComboBox1.ReDraw();
            smartCheckBox1.ReDraw();
            smartButton9.ReDraw();
            smartButton8.ReDraw();
            smartButton7.ReDraw();
            smartButton6.ReDraw();
            smartButton5.ReDraw();
            smartButton4.ReDraw();
            smartButton3.ReDraw();
            smartButton12.ReDraw();
            btnFormChange.ReDraw();
            btnChangeBackimg.ReDraw();
            smartButton1.ReDraw();

            // 이미지 변경을 위한 플래그 설정
            m_bSetImg = (m_bSetImg == true) ? false : true;
        }

        private void btnFormChange_Click(object sender, EventArgs e)
        {
            smartForm1.Show(1);
        }
    }
}