﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TechNote76_ImageChange_CS
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        // 이미지 변경을 체크할 플래그
        private bool m_bSetImg;
        // 이미지를 저장할 변수
        private Image img1;
        private Image img2;

        private void Form2_Load(object sender, EventArgs e)
        {
            // 멤버 변수 초기화
            m_bSetImg = true;
            img1 = Properties.Resources.bg1;
            img2 = Properties.Resources.bg2;

            for (int i = 0; i < 20; i++)
            {
                smartListBox1.AddItem("잔상테스트");
                smartComboBox1.ItemList.AddItem("잔상테스트");
            }
            smartComboBox1.SelectItemIndex = 0;
        }

        private void btnChangeBackimg_Click(object sender, EventArgs e)
        {
            // Step-1
            // SmartForm의 이미지를 변경하기전 BackGround가 적용된 UI컴포넌트에서 Hide() 메서드를 호출합니다.
            smartLabel1.Hide();
            smartTrackBar1.Hide();
            smartUpDown1.Hide();
            smartRadioButton1.Hide();
            smartListBox1.Hide();
            smartComboBox1.Hide();
            smartCheckBox1.Hide();
            smartButton9.Hide();
            smartButton8.Hide();
            smartButton7.Hide();
            smartButton6.Hide();
            smartButton5.Hide();
            smartButton4.Hide();
            smartButton3.Hide();
            smartButton12.Hide();
            btnFormChange.Hide();
            btnChangeBackimg.Hide();
            smartButton1.Hide();

            // Step-2
            // SmartForm의 이미지를 변경합니다.
            smartForm1.BackImage = (m_bSetImg == true) ? img2 : img1;

            // Step-3
            // BackGround가 적용된 UI컴포넌트에서 ReDraw() 메서드를 호출하고 SmartForm은 Refresh() 메서드를 호출합니다.
            smartLabel1.ReDraw();
            smartTrackBar1.ReDraw();
            smartUpDown1.ReDraw();
            smartRadioButton1.ReDraw();
            smartListBox1.ReDraw();
            smartComboBox1.ReDraw();
            smartCheckBox1.ReDraw();
            smartButton9.ReDraw();
            smartButton8.ReDraw();
            smartButton7.ReDraw();
            smartButton6.ReDraw();
            smartButton5.ReDraw();
            smartButton4.ReDraw();
            smartButton3.ReDraw();
            smartButton12.ReDraw();
            btnFormChange.ReDraw();
            btnChangeBackimg.ReDraw();
            smartButton1.ReDraw();

            // Step-4
            // SmartForm(SmartInnerForm)에서 Refresh() 메서드를 호출합니다.
            smartForm1.Refresh();

            // Step-5
            // BackGround가 적용된 모든 UI컴포넌트에서 Show() 메서드 호출
            smartLabel1.Show();
            smartTrackBar1.Show();
            smartUpDown1.Show();
            smartRadioButton1.Show();
            smartListBox1.Show();
            smartComboBox1.Show();
            smartCheckBox1.Show();
            smartButton9.Show();
            smartButton8.Show();
            smartButton7.Show();
            smartButton6.Show();
            smartButton5.Show();
            smartButton4.Show();
            smartButton3.Show();
            smartButton12.Show();
            btnFormChange.Show();
            btnChangeBackimg.Show();
            smartButton1.Show();

            // 이미지 변경을 위한 플래그
            m_bSetImg = (m_bSetImg == true) ? false : true;
        }

        private void btnFormChange_Click(object sender, EventArgs e)
        {
            smartForm1.Show(0);
        }
    }
}