﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TechNote76_MDIImageChange_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // 현재 설정된 이미지를 체크할 플래그
        private bool m_bSetImg;
        private bool m_bSetImg2;
        // 변경할 배경 이미지를 저장할 변수
        private Image img1;
        private Image img2;

        private void Form1_Load(object sender, EventArgs e)
        {
            // 멤버 변수 초기화
            m_bSetImg = true;
            m_bSetImg2 = true;
            img1 = Properties.Resources.bg1;
            img2 = Properties.Resources.bg2;

            for (int i = 0; i < 20; i++)
            {
                smartListBox1.AddItem("잔상테스트");
                smartListBox2.AddItem("잔상테스트");
                smartComboBox1.ItemList.AddItem("잔상테스트");
                smartComboBox2.ItemList.AddItem("잔상테스트");
            }
            smartComboBox1.SelectItemIndex = 0;
            smartComboBox2.SelectItemIndex = 0;

            smartForm1.MainForm = this;
            smartForm1.AddChildForm(smartInnerForm1);
            smartForm1.Show(0);
        }

        private void btnChangeBackimg_Click(object sender, EventArgs e)
        {
            // Step-1
            // 개선전 방법 SmartForm의 이미지를 변경합니다.
            smartForm1.BackImage = (m_bSetImg == true) ? img2 : img1;

            // Step-2
            // 컴포넌트들의 BackGround 속성을 설정합니다.
            smartLabel1.ReDraw();
            smartTrackBar1.ReDraw();
            smartUpDown1.ReDraw();
            smartRadioButton1.ReDraw();
            smartListBox1.ReDraw();
            smartComboBox1.ReDraw();
            smartCheckBox1.ReDraw();
            smartButton9.ReDraw();
            smartButton8.ReDraw();
            smartButton7.ReDraw();
            smartButton6.ReDraw();
            smartButton5.ReDraw();
            smartButton4.ReDraw();
            smartButton3.ReDraw();
            smartButton12.ReDraw();
            btnFormChange.ReDraw();
            btnChangeBackimg.ReDraw();
            smartButton1.ReDraw();

            // 이미지 변경을 위한 플래그 설정
            m_bSetImg = (m_bSetImg == true) ? false : true;
        }

        private void btnFormChange_Click(object sender, EventArgs e)
        {
            smartForm1.Show(1);
        }

        private void btnFormChange2_Click(object sender, EventArgs e)
        {
            smartForm1.Show(0);
        }

        private void btnChangeBackimg2_Click(object sender, EventArgs e)
        {
            // Step-1
            // SmartForm(SmartInnerForm)의 이미지를 변경하기 전 BackGround가 적용될
            // 컴포넌트에서 Hide() 메서드를 호출합니다.
            smartLabel2.Hide();
            smartTrackBar2.Hide();
            smartUpDown2.Hide();
            smartRadioButton2.Hide();
            smartListBox2.Hide();
            smartComboBox2.Hide();
            smartCheckBox2.Hide();
            smartButton2.Hide();
            smartButton10.Hide();
            smartButton11.Hide();
            smartButton13.Hide();
            smartButton14.Hide();
            smartButton15.Hide();
            smartButton16.Hide();
            smartButton17.Hide();
            smartButton18.Hide();
            btnFormChange2.Hide();
            btnChangeBackimg2.Hide();

            // Step-2
            // SmartForm(SmartInnerForm)의 이미지를 변경합니다.
            smartInnerForm1.BackImage = (m_bSetImg2 == true) ? img1 : img2;

            // Step-3
            // BackGround가 적용된 UI컴포넌트에서 ReDraw() 메서드를 호출하고 SmartForm은 Refresh() 메서드를 호출합니다.
            smartLabel2.ReDraw();
            smartTrackBar2.ReDraw();
            smartUpDown2.ReDraw();
            smartRadioButton2.ReDraw();
            smartListBox2.ReDraw();
            smartComboBox2.ReDraw();
            smartCheckBox2.ReDraw();
            smartButton2.ReDraw();
            smartButton10.ReDraw();
            smartButton11.ReDraw();
            smartButton13.ReDraw();
            smartButton14.ReDraw();
            smartButton15.ReDraw();
            smartButton16.ReDraw();
            smartButton17.ReDraw();
            smartButton18.ReDraw();
            btnFormChange2.ReDraw();
            btnChangeBackimg2.ReDraw();
            

            // Step-4
            // SmartForm(SmartInnerForm)에서 Refresh() 메서드를 호출합니다.
            smartInnerForm1.Refresh();

            // Step-5
            // Step-1에서 숨긴 컴포넌트들에서 Show() 메서드를 호출합니다.
            smartLabel2.Show();
            smartTrackBar2.Show();
            smartUpDown2.Show();
            smartRadioButton2.Show();
            smartListBox2.Show();
            smartComboBox2.Show();
            smartCheckBox2.Show();
            smartButton2.Show();
            smartButton10.Show();
            smartButton11.Show();
            smartButton13.Show();
            smartButton14.Show();
            smartButton15.Show();
            smartButton16.Show();
            smartButton17.Show();
            smartButton18.Show();
            btnFormChange2.Show();
            btnChangeBackimg2.Show();

            //이미지 변경을 위한 플래그
            m_bSetImg2 = (m_bSetImg2 == true) ? false : true;
        }
    }
}